Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBAC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_THREADPOOLLANES_CI_
#define | _RTCORBA_THREADPOOLLANES_CI_
#define | _RTCORBA_PRIORITYMODELPOLICY___CI_
#define | _RTCORBA_THREADPOOLPOLICY___CI_
#define | _RTCORBA_PROTOCOLPROPERTIES___CI_
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PROTOCOLLIST_CI_
#define | _RTCORBA_PROTOCOLLIST_CI_
#define | _RTCORBA_SERVERPROTOCOLPOLICY___CI_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY___CI_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY___CI_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES___CI_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES___CI_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___CI_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___CI_
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PRIORITYBANDS_CI_
#define | _RTCORBA_PRIORITYBANDS_CI_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___CI_
#define | _RTCORBA_CURRENT___CI_
#define | _RTCORBA_MUTEX___CI_
#define | _RTCORBA_RTORB___CI_
## Functions
CORBA::Boolean TAO_RTCORBA_Export | operator>> (TAO_InputCDR &, RTCORBA::ThreadpoolLanes &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const RTCORBA::PriorityModel &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, RTCORBA::PriorityModel &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const RTCORBA::PriorityBand &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, RTCORBA::PriorityBand &_tao_aggregate)
CORBA::Boolean TAO_RTCORBA_Export | operator<< (TAO_OutputCDR &, const RTCORBA::PriorityBands &)
CORBA::Boolean TAO_RTCORBA_Export | operator>> (TAO_InputCDR &, RTCORBA::PriorityBands &)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PRIORITYBANDS_CI_

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PROTOCOLLIST_CI_

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_THREADPOOLLANES_CI_

#define _RTCORBA_CLIENTPROTOCOLPOLICY___CI_

#define _RTCORBA_CURRENT___CI_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES___CI_

#define _RTCORBA_MUTEX___CI_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___CI_

#define _RTCORBA_PRIORITYBANDS_CI_

#define _RTCORBA_PRIORITYMODELPOLICY___CI_

#define _RTCORBA_PRIVATECONNECTIONPOLICY___CI_

#define _RTCORBA_PROTOCOLLIST_CI_

#define _RTCORBA_PROTOCOLPROPERTIES___CI_

#define _RTCORBA_RTORB___CI_

#define _RTCORBA_SERVERPROTOCOLPOLICY___CI_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___CI_

#define _RTCORBA_TCPPROTOCOLPROPERTIES___CI_

#define _RTCORBA_THREADPOOLLANES_CI_

#define _RTCORBA_THREADPOOLPOLICY___CI_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___CI_

## Function Documentation

CORBA::Boolean TAO_RTCORBA_Export operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::PriorityBands & |
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const RTCORBA::PriorityBand & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const RTCORBA::PriorityModel & | _tao_enumval
| ) |

CORBA::Boolean TAO_RTCORBA_Export operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::PriorityBands & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | RTCORBA::PriorityBand & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | RTCORBA::PriorityModel & | _tao_enumval
| ) |

CORBA::Boolean TAO_RTCORBA_Export operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::ThreadpoolLanes & |
| ) |